## activemq-cpp 3.2.5

=== debian/changelog ===
activemq-cpp (3.2.5-2) stable; urgency=low

  * Rebuild (new GPG key, new platform Debian 7)
  * Separated debug packages
  * Better cleanup

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 18 Jul 2013 21:22:49 +0200

activemq-cpp (3.2.5-1+squeeze1) stable; urgency=low

  * Backport build

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 16 Jul 2012 00:48:53 +0200

activemq-cpp (3.2.5-1) unstable; urgency=low

  * Initial packaging

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 13 Apr 2012 22:38:32 +0100
