## activemq-cpp 3.7.1

=== debian/changelog ===
activemq-cpp (3.7.1-1) stable; urgency=low

  * New upstream release

 -- CESNET Product Teams <valtri@emian.zcu.cz>  Tue, 23 Jul 2013 15:16:17 +0200
