=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Svn: https://svn.apache.org/repos/asf/activemq/activemq-cpp
 Vcs-Browser: http://svn.apache.org/viewvc/activemq/activemq-cpp
 
-Package: libactivemq-cpp12
+Package: libactivemq-cpp17
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -21,7 +21,7 @@
 Package: activemq-cpp-dev
 Section: libdevel
 Architecture: any
-Depends: libactivemq-cpp12 (= ${binary:Version}), ${misc:Depends}, libapr1-dev
+Depends: libactivemq-cpp17 (= ${binary:Version}), ${misc:Depends}, libapr1-dev
 Description: Development files for ActiveMQ C++ library
  This package contains development libraries and header files for ActiveMQ C++
  library.
@@ -33,11 +33,11 @@
 Description: ActiveMQ C++ library examples
  This package contains examples for ActiveMQ C++ library.
 
-Package: libactivemq-cpp12-dbg
+Package: libactivemq-cpp17-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libactivemq-cpp12 (= ${binary:Version}), ${misc:Depends}
+Depends: libactivemq-cpp17 (= ${binary:Version}), ${misc:Depends}
 Description: ActiveMQ C++ library debugging symbols
  This package contains debugging symbols for ActiveMQ C++ library.
 
@@ -45,6 +45,6 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libactivemq-cpp12 (= ${binary:Version}), ${misc:Depends}
+Depends: libactivemq-cpp17 (= ${binary:Version}), ${misc:Depends}
 Description: ActiveMQ C++ library exampels debugging symbols
  This package contains debugging symbols for ActiveMQ C++ library examples.
