## activemq-cpp 3.8.2

=== debian/changelog ===
activemq-cpp (3.8.2-1) unstable; urgency=low

  * New upstream release

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 9 Mar 2014 23:45:00 +0200
