=== debian/control ===
Source: activemq-cpp
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libexpat1-dev, libapr1-dev, libaprutil1-dev, libz-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://activemq.apache.org/cms
Vcs-Svn: https://svn.apache.org/repos/asf/activemq/activemq-cpp
Vcs-Browser: http://svn.apache.org/viewvc/activemq/activemq-cpp

Package: libactivemq-cpp18
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ActiveMQ C++ library
 C++ Message Service (JMS-like C++ API) client library for communication with
 message brokers, eg. ActiveMQ.

Package: activemq-cpp-dev
Section: libdevel
Architecture: any
Depends: libactivemq-cpp18 (= ${binary:Version}), ${misc:Depends}, libapr1-dev
Description: Development files for ActiveMQ C++ library
 This package contains development libraries and header files for ActiveMQ C++
 library.

Package: activemq-cpp-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ActiveMQ C++ library examples
 This package contains examples for ActiveMQ C++ library.

Package: libactivemq-cpp18-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libactivemq-cpp18 (= ${binary:Version}), ${misc:Depends}
Description: ActiveMQ C++ library debugging symbols
 This package contains debugging symbols for ActiveMQ C++ library.

Package: activemq-cpp-examples-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libactivemq-cpp18 (= ${binary:Version}), ${misc:Depends}
Description: ActiveMQ C++ library exampels debugging symbols
 This package contains debugging symbols for ActiveMQ C++ library examples.
