=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

p_lib=libactivemq-cpp18
p_examples=activemq-cpp-examples

%:
	dh $@ --with autoreconf --parallel --fail-missing

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --disable-static

override_dh_auto_install:
	dh_auto_install
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	mv $(CURDIR)/debian/tmp/usr/bin/example $(CURDIR)/debian/tmp/usr/bin/activemqcpp-example
	dh_install

override_dh_strip:
	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_strip override_dh_installdocs
